/*
Theme Name: Dyad Child
Description: Child theme. Dyad pairs your written content and images together in perfect balance. The theme is geared towards photographers, foodies, artists, and anyone who is looking for a strong photographic presence on their website.
Template: dyad
Version: 1.0.10
*/

.home #primary > .hentry .entry-inner, .is-singular #posts > .hentry .entry-inner{
	max-width:100%;
}

.site-header{
    z-index: 6 !important;
}

.is-singular #posts > .hentry .entry-inner{
    margin:0px;
}

.is-singular .entry-content:before{
    border-top: none;
}

.is-singular:not(.home):not(.page-template-eventbrite-index)  #posts .entry-header a{
    text-transform: none;
}

.is-singular:not(.has-post-thumbnail, .single-post) .entry-header{
     margin:0px;
     padding: 0px;
}

.posts .hentry{
    padding: 20px 0px;
}

.is-singular .posts .hentry:not(.has-post-thumbnail) .entry-inner-content{
    max-height: 500px;
    min-height: 500px;
}

.home #primary > .hentry .entry-inner .posts, .posts, .is-singular #posts > .hentry .entry-inner .posts, .posts{
    background-color: #ffffff;
}

.home #primary > .hentry .entry-inner .posts .entry-content::before, .is-singular #posts > .hentry .entry-inner .posts .entry-content::before{
    display:none;
}

.home #primary > .hentry .entry-inner .posts  .entry-inner, .is-singular #posts > .hentry .entry-inner .posts  .entry-inner{
    margin: 0px;
}


.metaslider .flexslider{
    margin: 0;
}

.metaslider .flexslider .slides li {
    max-height: 450px !important;
}

.custom-banner {
    position: relative;
    height: 400px; /* Ajusta la altura según sea necesario */
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    color: white; /* Cambia el color del texto según tu diseño */
    display: flex;
    align-items: center;
    justify-content: center;
}

.banner-content {
    width:100%;
    position: relative;
    z-index: 2; /* Asegura que el contenido esté sobre el fondo */
    text-align: center;
}

.custom-banner h2 {
   font-size: 3.0rem; 
}

.custom-banner.banner-img h2, .custom-banner.banner-img a, .custom-banner.banner-img b {
     color: #ffffff;
      text-shadow: 1px 1px 1px #1a1c1e;
}

.custom-banner.banner-only-text h2, .custom-banner.banner-only-text a, .custom-banner.banner-only-text b {
     color: #1a1c1e;
}

.is-singular .content-area{
    margin-top: 0px;
}

.page.home .site-inner .featured-content, 
.is-singular.home .page > .entry-inner:before,
.is-singular.home .page > .entry-inner:after,
.is-singular.home .page > .entry-inner .entry-content:before,
.is-singular.home .page > .entry-inner > .entry-header{
    display:none;
}

.custom-banner .opacity{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.custom-banner.banner-img .opacity{
    background-image:  linear-gradient(0deg, #292c2f78, #292c2f1c);
}

a.autobesttag{
	background-image: none !important;
    padding-right: 0px !important;
}

.wp-block-list{
	margin-left: 20px;
}

#infinite-handle,.posts-navigation{
	background-color: transparent !important;
}

.infinite-loader{
	background-color: transparent !important;
	background: none;
}

.menu-item-login a, .menu-item-logout a {
    /* Estilos del botón */
    color: #fff !important;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bold;
}

.menu-item-login a:hover, .menu-item-logout a:hover {
    /* Estilos al pasar el mouse */
}

/* Opcional: Ajusta la posición si es necesario */
#top-menu .menu-item-login, #top-menu .menu-item-logout {
    margin-left: 10px;
}

.login-link::before {
    content: "\f090"; /* Icono de inicio de sesión */
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
}

.logout-link::before {
    content: "\f08b"; /* Icono de cierre de sesión */
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
}

.private-subcategories, 
.public-subcategories {
    padding: 0 6rem;
}

.is-singular .entry-media, 
.posts .entry-media{
    width: auto;
}

.public-subcategories ul{
    list-style: none;
    margin-left: 1.3em;
}

.wp-block-search__input{
    opacity: 0.4;
    transition: opacity 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.wp-block-search__input:focus {
    opacity: 1;
    box-shadow: 0 0 5px 2px rgba(255, 255, 255, 0.2); 
}

.public-subcategories{
    text-align: left;
}

.taxonomy-description{
    padding: 0 4rem 0 4rem;
}




